Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/shine: add shine

From: Maartje Eyskens <maartje_at_eyskens.me>
Date: Mon, 4 Apr 2016 19:17:44 +0000

https://github.com/toots/shine
Shine: fast fixed-point mp3 encoding
---
 testing/shine/APKBUILD | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100644 testing/shine/APKBUILD
diff --git a/testing/shine/APKBUILD b/testing/shine/APKBUILD
new file mode 100644
index 0000000..3c86b17
--- /dev/null
+++ b/testing/shine/APKBUILD
_at_@ -0,0 +1,33 @@
+# Contributor: Maartje Eyskens <maartje_at_eyskens.me>
+# Maintainer: Maartje Eyskens <maartje_at_eyskens.me>
+pkgname=shine
+pkgver=3.1.0
+pkgrel=0
+pkgdesc="Shine: fast fixed-point mp3 encoding"
+url="https://github.com/toots/shine"
+arch="all"
+license="LGPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev libtool automake autoconf"
+install=""
+subpackages=""
+source="https://github.com/toots/shine/releases/download/$pkgver/shine-$pkgver.tar.gz"
+
+builddir=
+build() {
+	cd "$builddir"
+	autoreconf -f -i
+	./configure --prefix /usr
+	make || return 1
+}
+
+package() {
+	cd $srcdir"/shine-"$pkgver"/"
+	set
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="fcad8108335f4b051b303fbdf3fca3fe  shine-3.1.0.tar.gz"
+sha256sums="6c5310bda766b116ed2415d639a27e5e11040e068b4b2db6bd733333e620cb4f  shine-3.1.0.tar.gz"
+sha512sums="398f49567c707c7e0fa12024088faf81fb9942e7bceebd46e34d6b42ce496ffb925b0edd3e5b8afb9e5c3eb4c1fd0a8776cac448bf76448724fb7353aa67eb00  shine-3.1.0.tar.gz"
-- 
2.8.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Apr 04 2016 - 19:17:44 GMT